SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Conditions of Use
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# xslt:unparsed-text

xslt:unparsed-text(string $uri) → string

Function signature

$uri | xs:string
Result | xs:string

Returns the contents of an external text file, given its URI. Saxon attempts to infer the encoding. First it looks in the HTTP headers if available. Then it examines the start of the file looking first for a byte-order-mark, and failing that for an XML declaration. If none of this works, it assumes the encoding is UTF-8.

XSLT 2.0 Specification

xslt:unparsed-text(string $uri, string $encoding) → string

Function signature

$uri | xs:string
$encoding | xs:string
Result | xs:string

Returns the contents of an external text file, given its URI and encoding

XSLT 2.0 Specification

Next